Package org.jacoco.core.data

## Class IncompatibleExecDataVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.jacoco.core.data.IncompatibleExecDataVersionException

All Implemented Interfaces:
  `java.io.Serializable`

    public class IncompatibleExecDataVersionException
    extends java.io.IOException

Signals that execution data in an incompatible version was tried to read.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IncompatibleExecDataVersionException​(int actualVersion)` Creates a new exception to flag version mismatches in execution data.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getActualVersion()` Gets the actual version found in the execution data.
`int` `getExpectedVersion()` Gets the version expected in the execution data which can be read by this version of JaCoCo.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncompatibleExecDataVersionException

    public IncompatibleExecDataVersionException​(int actualVersion)

Creates a new exception to flag version mismatches in execution data.

Parameters:
  `actualVersion` - version found in the exec data

### Method Detail

#### getExpectedVersion

    public int getExpectedVersion()

Gets the version expected in the execution data which can be read by this version of JaCoCo.

Returns:
  expected version in execution data

#### getActualVersion

    public int getActualVersion()

Gets the actual version found in the execution data.

Returns:
  actual version in execution data